Bug 978431 - ksysguardd won't allow hierarchically automounted filesystems to expire
ksysguardd won't allow hierarchically automounted filesystems to expire
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 11:16 EDT by A. Rodriguez
Modified: 2014-02-05 16:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:58:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Rodriguez 2013-06-26 11:16:18 EDT
Description of problem:

I am using bubblemon to monitor cpu usage. Also using autofs to mount/umount filesystems automatically.

Some autofs configurations cause automount to fail umounting filesystems, mainly hierachical ( nested ) filesystems. For instance, this entry in auto.misc:

stor          -rw,soft,intr,nodev,nosuid    stor:/archive

mounts stor:/archive at /misc/stor, and unmounts correctly when expired, but this other one:

stor          -rw,soft,intr,nodev,nosuid   /archive   stor:/archive

mounts stor:/archive at /misc/stor/archive but never unmounts when expired, and automount reports the following:

automount[23256]: 1 remaining in /misc


This is my configuration for autofs:

# cat /etc/sysconfig/autofs | grep -v "#"
TIMEOUT=15
BROWSE_MODE="no"
MOUNT_NFS_DEFAULT_PROTOCOL=4
LOGGING="verbose"
USE_MISC_DEVICE="yes"

The sampling rate (SR) for bubblemon is 1000 ms, and:

# cat /etc/ksysguarddrc  | grep Sensors | grep -v "#"
Sensors=ProcessList,Memory,Stat,NetDev,NetStat,Apm,Acpi,CpuInfo,LoadAvg,LmSensors,DiskStat,LogFile,DiskStats,Uptime,SoftRaid

If SR is set > TIMEOUT or DiskStat is removed from Sensors in ksysguarddrc everything works fine. But if it works for the first automount configuration form defaults it should work for the second automount configuration. 


Version-Release number of selected component (if applicable):

# rpm -qa | grep ksysguard | sort
ksysguard-4.10.4-1.fc18.x86_64
ksysguardd-4.10.4-1.fc18.x86_64
ksysguard-libs-4.10.4-1.fc18.x86_64


How reproducible:

Always

Steps to Reproduce:
1. Load bubblemon into systray and configure a hierarchical mount in autofs
2. Trigger mount of filesystem
3. Watch filesystem fail to expire

Actual results:

Filesystem with a hierachical configuration never expires

Expected results:

It should expire and umount 

Additional info:
Comment 1 Kevin Kofler 2013-06-30 15:12:09 EDT
Can you please report this issue directly to the upstream KDE developers at https://bugs.kde.org/ ? They are more likely to be able to do something about this than we are.
Comment 2 Fedora End Of Life 2013-12-21 09:09:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:58:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.